Get the default AI Deliverability Agent
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/deliverability")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agent": {
"id": "01a0206f-e3c9-73f5-8665-e29103553b05",
"organization_id": "01a0206f-e3c9-73f5-8665-e29279cfe8dd",
"name": "Deliverability Agent",
"payload": {
"integrations": {
"slack": null
}
},
"type": 3,
"timestamp_created": "2026-08-20T18:29:58.857Z",
"timestamp_updated": "2026-08-20T18:29:58.857Z",
"status": 1
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Deliverability Agent
Get the default AI Deliverability Agent
Retrieve the workspace default AI Deliverability Agent. The agent field is null if one has not been deployed. Use the returned agent.id with endpoints that require an agent ID.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
deliverability
Get the default AI Deliverability Agent
⌘I